/**
 * @module    mod_treasurehunt/play
 * @package   mod_treasurehunt
 * @copyright 2016 onwards Adrian Rodriguez Fernandez <huorwhisp@gmail.com>, Juan Pablo de Castro <jpdecastro@tel.uva.es>
 * @author Adrian Rodriguez <huorwhisp@gmail.com>
 * @author Juan Pablo de Castro <jpdecastro@tel.uva.es>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define(["jquery","core/url","mod_treasurehunt/ol","core/ajax","mod_treasurehunt/osm-geocoder","mod_treasurehunt/viewgpx","core/str","mod_treasurehunt/webqr","mod_treasurehunt/jquery.truncate","theme_boost/dropdown"],(function(e,t,a,o,s,l,i,n){return{playtreasurehunt:function(e,t,a,o,s,l,n,c,d,u){let m=["stageovercome","failedlocation","stage","stagename","stageclue","question","noanswerselected","timeexceeded","searching","continue","noattempts","aerialview","roadview","noresults","startfromhere","nomarks","updates","activitytoendwarning","huntcompleted","discoveredlocation","answerwarning","error"],g=m.map(e=>({key:e,component:"treasurehunt"}));i.get_strings(g).done(i=>{let g=[];for(let e=0;e<m.length;e++)g[m[e]]=i[e];if(void 0!==u&&u&&u.custombackgroundurl){let i=new Image;i.addEventListener("load",(function(){u.imgwidth=this.naturalWidth,u.imgheight=this.naturalHeight,r(g,e,t,a,o,s,l,n,c,d,u)})),i.src=u.custombackgroundurl}else r(g,e,t,a,o,s,l,n,c,d,u)})}};function r(i,r,c,d,u,m,g,p,y,f,h){Pe(!0);let w=null,v=!0,b=15,x="ontouchstart"in window||navigator.msMaxTouchPoints;if(h){if(h.custombackgroundurl){let e=a.proj.transformExtent(h.bbox,"EPSG:4326","EPSG:3857");if(!h.geographic){let t=e[3]-e[1],a=(e[2]+e[0])/2,o=(e[3]+e[1])/2,s=Math.round(t/h.imgheight),l=Math.round(h.imgwidth*s),i=Math.round(h.imgheight*s);e=[a-l/2,o-i/2,a+l/2,o+i/2],b=5}w=new a.layer.Image({title:h.layername,name:h.layername,type:h.layertype,source:new a.source.ImageStatic({url:h.custombackgroundurl,imageExtent:e}),opacity:1})}else if(h.wmsurl){let e={source:new a.source.TileWMS({url:h.wmsurl,params:h.wmsparams}),type:h.layertype,title:h.layername,name:h.layername};if(h.bbox[0]&&h.bbox[1]&&h.bbox[2]&&h.bbox[3]){let t=a.proj.transformExtent(h.bbox,"EPSG:4326","EPSG:3857");e.extent=t}w=new a.layer.Tile(e)}v=h.geographic}!1===v&&(d=!0,e("#autolocate").hide());let k,P,S=t.imageUrl("success_mark","treasurehunt"),E=t.imageUrl("failure_mark","treasurehunt"),T=t.imageUrl("bootstrap/my_location_3","treasurehunt"),G={},C=[],_=[],I=!1,q=!1,F=!1,j=!1,V=!1,z=!0,A=!1,M=0,D=new a.style.Text({textAlign:"center",scale:1.3,fill:new a.style.Fill({color:"#ffffff"}),stroke:new a.style.Stroke({color:"#000000",width:3.5})}),L=new a.style.Text({textAlign:"center",scale:1.4,fill:new a.style.Fill({color:"#fff"}),stroke:new a.style.Stroke({color:"#0097a7",width:3.5})}),R=new a.style.Style({image:new a.style.Icon({anchor:[.5,1],opacity:1,scale:.5,src:S}),text:D,zIndex:"Infinity"}),$=new a.style.Style({image:new a.style.Icon({anchor:[.5,1],opacity:1,scale:.5,src:E}),text:D,zIndex:"Infinity"}),O=new a.style.Style({image:new a.style.Icon({anchor:[.5,1],opacity:1,scale:.75,src:S}),text:L,zIndex:"Infinity"}),N=new a.style.Style({image:new a.style.Icon({anchor:[.5,1],opacity:1,scale:.75,src:E}),text:L,zIndex:"Infinity"}),Q=new a.style.Style({image:new a.style.Circle({radius:6,fill:new a.style.Fill({color:[0,0,0,1]}),stroke:new a.style.Stroke({color:[255,255,255,1],width:2})})}),W=new a.style.Style({fill:new a.style.Fill({color:[255,255,255,.3]}),stroke:new a.style.Stroke({color:[0,0,0,.5],width:1}),zIndex:-1}),B=new a.style.Style({image:new a.style.Icon({anchor:[.5,.9],opacity:1,scale:1,src:T})}),H=[],U=new a.format.GeoJSON,Z=new a.source.Vector({projection:"EPSG:3857"}),K=new a.layer.Vector({source:Z,style:function(e){let t=e.get("stageposition");if(0===t){let e=new a.style.Fill({color:"rgba(0,0,0,0.1)"}),t=new a.style.Stroke({color:"#0097a7",width:2});return[new a.style.Style({image:new a.style.Circle({fill:e,stroke:t,radius:5}),fill:e,stroke:t,text:new a.style.Text({text:i.startfromhere,textAlign:"center",fill:new a.style.Fill({color:"rgb(255,255,255)"}),stroke:new a.style.Stroke({color:"#0097a7",width:5})})})]}if(!e.get("geometrysolved"))return $.getText().setText(""+t),[$];return R.getText().setText(""+t),[R]}}),X=new a.layer.Tile({visible:!1,source:new a.source.BingMaps({key:"AmC3DXdnK5sXC_Yp_pOLqssFSaplBbvN68jnwKTEM3CSn2t6G5PGTbYN3wzxE5BR",imagerySet:"AerialWithLabels",maxZoom:19})});X.set("name",i.aerialview);let Y=new a.layer.Tile({source:new a.source.OSM});Y.set("name",i.roadview);let J=[],ee=[];h&&!1!==h.onlybase||(J=[X,Y]),w&&("overlay"!=h.layertype?J.push(w):ee.push(w));let te=new a.layer.Group({layers:J});var ae=l.createCoordsOverlay("#mapplay","css/playerbootstrap/ol-popup.css");let oe=null;te.getLayers().forEach(e=>{e.setVisible(!1),oe=e}),oe.setVisible(!0);let se=new a.View({center:[0,0],zoom:2,minZoom:2}),le=new a.interaction.Select({layers:[K],style:function(e){let t=e.get("stageposition");if(!e.get("geometrysolved"))return N.getText().setText(""+t),[N];return O.getText().setText(""+t),[O]},filter:e=>0!==e.get("stageposition")}),ie=new a.Feature;ie.setProperties({name:"user_accuracy"}),ie.setStyle(W);let ne=new a.Feature;ne.setProperties({name:"user_position"}),ne.setStyle(Q);let re=new a.layer.Vector({source:new a.source.Vector({features:[ie,ne]})}),ce=new a.Feature;ce.setGeometry(null),ce.setStyle(B);let de=new a.layer.Vector({source:new a.source.Vector({features:[ce]})});H.push(te),H=H.concat(ee),H=H.concat([K,re,de]);let ue=new a.control.Zoom({target:"navigation",className:"custom-zoom"}),me=new a.Map({layers:H,overlays:[ae],controls:[ue],target:"mapplay",view:se,loadTilesWhileAnimating:!0,loadTilesWhileInteracting:!0});if(me.addInteraction(le),pe(!1,!0),k=setInterval(()=>{pe(!1,!1)},p),function(t){t.getLayers().forEach(a=>{let o=e("<button>",{type:"button",class:"list-group-item list-group-item-action close-modal"}).click(()=>{t.getLayers().forEach(e=>{e===a?e.setVisible(!0):e.setVisible(!1)})}),s=e("<div>",{text:a.get("name"),class:"layer-item "+(a.getVisible()?"":"unchecked")}).append(e("<i class='fa fa-check-circle'>"));o.append(s),a.on("change:visible",()=>{e(s).toggleClass("unchecked")}),e("#layerslist").prepend(o)})}(te),ee.forEach(e=>{ye(e)}),y&&f){let e=l.addgpxlayer(me,r,c,i,f,"trackgroup");e.set("name",e.get("title"));let t=e.getLayers().item(0),a=t.get("title");t.set("name",a),t.setVisible(!1),ye(t)}function ge(e,t,a){let o=e.getView();a?o.fit(a,{duration:700}):o.animate({zoom:b,center:t,duration:700})}function pe(t,s,l,n){let r,p,f,h;f=d?ce.getGeometry():ne.getGeometry(),f&&(p=U.writeGeometryObject(f,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"})),l&&(Pe(!0),h=l),t&&(r=p,Pe(!0)),o.call([{methodname:"mod_treasurehunt_user_progress",args:{userprogress:{treasurehuntid:c,attempttimestamp:m,roadtimestamp:g,playwithoutmoving:d,groupmode:u,initialize:s,location:r,currentposition:y&&!d?p:void 0,selectedanswerid:h,qoaremoved:A,qrtext:n}}}])[0].done(o=>{if(A=o.qoaremoved,V=o.roadfinished,z=o.available,Pe(!1),(t||l)&&(null!==o.status&&z&&we(o.status.msg),ce.setGeometry(null)),o.qrexpected?e("#validateqr").show():e("#validateqr").hide(),d!=o.playwithoutmoving&&((d=o.playwithoutmoving)||ce.setGeometry(null)),u!=o.groupmode&&(u=o.groupmode),m===o.attempttimestamp&&g===o.roadtimestamp&&!s&&z||(m=o.attempttimestamp,g=o.roadtimestamp,o.attempthistory.length>0&&(_=o.attempthistory,I=!0),(o.attempts||o.firststagegeom)&&(Z.clear(),o.firststagegeom&&Z.addFeatures(U.readFeatures(o.firststagegeom,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"})),o.attempts.features.length>0&&Z.addFeatures(U.readFeatures(o.attempts,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"}))),o.lastsuccessfulstage&&(G=o.lastsuccessfulstage,q=!0,ve("#cluepage"),""!==G.question?(F=!0,e("#validatelocation").hide()):G.activitysolved?e("#validatelocation").show():e("#validatelocation").hide()),(o.firststagegeom||s)&&(j=!0),q&&(G.clue=G.clue.replace(/color/gm,"color-disabled"),e("#lastsuccessfulstageclue").html(G.clue),e("#lastsuccessfulstagename").text(G.name),e("#lastsuccesfulstagepos").text(G.position+" / "+G.totalnumber),""!==G.question?e("#questionbutton").show():e("#questionbutton").hide(),q=!1),function(){if(j){let e=Z.getFeatures();1===e.length&&e[0].getGeometry()instanceof a.geom.Point?ge(me,e[0].getGeometry().getCoordinates()):ge(me,null,Z.getExtent()),j=!1}}(),function(){if(F){G.question=G.question.replace(/color/gm,"color-disabled"),e("#questionform").html("<legend>"+G.question+"</legend>");let t=1;e.each(G.answers,(a,o)=>{let s="answer"+t;o.answertext=o.answertext.replace(/color/gm,"color-disabled"),e("#questionform").append(`<div class="form-check">\n                <input class="form-check-input" type="radio" name="answers" id="${s}" value="${o.id}">\n                <label class="form-check-label" for="${s}">\n                  ${o.answertext}\n                </label>\n            </div>`),t++}),F=!1}}(),function(){if(I){let t=e("#historylist");t.html(""),I=!1,0===_.length?e("<li>"+i.noattempts+"</li>").appendTo(t):_.forEach(a=>{e("<li><span class='ui-btn-icon-left "+(a.penalty?"ui-icon-delete failedattempt":"ui-icon-check successfulattempt")+"' style='position:relative'></span>"+a.string+"</li>").appendTo(t)})}}()),o.infomsg.length>0){let t="";C.forEach(e=>{t+="<p>"+e+"</p>"}),o.infomsg.forEach(e=>{C.push(e),t+="<p>"+e+"</p>"}),e("#notificationsPopup .update-list").html(t),ve("#notificationsPopup")}V||e("#roadended").hide(),!V&&z||(e("#validatelocation").hide(),e("#question_button").hide(),e("#roadended").show(),ce.setGeometry(null),d=!1,clearInterval(k),e("#mapplay").css("opacity","0.8"))}).fail(t=>{e("#errorPopup .play-modal-content").text(t.message),ve("#errorPopup"),clearInterval(k)})}function ye(t){let a=e("<button>",{type:"button",class:"list-group-item list-group-item-action close-modal"}).click(()=>{t.setVisible(!t.getVisible())}),o=jQuery.parseHTML(t.get("name")),s=e("<div>",{class:"layer-item "+(t.getVisible()?"":"unchecked")}).append(o,e("<i class='fa fa-check-circle'>"));a.append(s),t.on("change:visible",()=>{e(s).toggleClass("unchecked")}),e("#layerslist").prepend(a)}let fe=new a.Geolocation({projection:se.getProjection(),trackingOptions:{enableHighAccuracy:!0,maximumAge:0,timeout:1e4}});fe.on("change:position",()=>{let e=fe.getPosition();ne.setGeometry(e?new a.geom.Point(e):null),fe.get("center")&&(ge(me,e),fe.setProperties({center:!1})),fe.get("validate_location")&&(pe(!0,!1),fe.setProperties({validate_location:!1}))}),fe.on("change:accuracyGeometry",()=>{ie.setGeometry(fe.getAccuracyGeometry())});let he=!1;function we(t){const a=e(`<div class='play-toast slide-in-bottom'>${t}</div>`);a.appendTo(e(".play-toast-container")),setTimeout(()=>a.addClass("slide-out-top"),3e3),setTimeout(()=>a.remove(),3500)}function ve(t){be();const a=e(t);a.trigger("modal:open"),a.addClass("active"),e(`${t} .modal-mask`).addClass("active dismissible")}function be(){const t=e(".play-modal.active");t.trigger("modal:close"),t.removeClass("active"),e(".modal-mask").removeClass("active dismissible")}function xe(e,t){return`<div class="card">\n          <div class="card-body">\n            <h5 class="card-title">${e}</h5>\n            <h6 class="card-subtitle text-muted">${t}</h6>\n          </div>\n      </div>`}function ke(t){e(t).addClass("active"),e(".sidebar-mask").addClass("active dismissible")}function Pe(t){t?e(".global-loader").addClass("active"):e(".global-loader").removeClass("active")}function Se(e){be(),we("QR code readed: "+e),pe(!1,!1,null,e)}function Ee(t){"string"==typeof t?e("#errorQR").text(t):(null!==t.cameras[t.camera].name&&e("#errorQR").text(t.cameras[t.camera].name),t.cameras.length>1?e("#nextcamera").show():e("#nextcamera").hide())}fe.on("error",t=>{fe.setProperties({user_denied:!0}),we(t.message),t.code==t.PERMISSION_DENIED&&y&&!d&&0==he&&setTimeout(()=>{e("#popupgeoloc").popup("open",{positionTo:"window"}),he=!0},500)}),fe.setTracking(y),x||me.on("pointermove",e=>{if(e.dragging)return;const t=me.getEventPixel(e.originalEvent);let o=!1;me.forEachFeatureAtPixel(t,e=>{e.getGeometry()instanceof a.geom.MultiPolygon||(o=!0)},{layerFilter:e=>e===K}),me.getTargetElement().style.cursor=o?"pointer":"crosshair"}),le.on("select",t=>{if(1===t.selected.length){let a=t.selected[0].get("name"),o=t.selected[0].get("clue"),s=t.selected[0].get("info"),l="",n="";s&&(l="<p>"+s+"</p>"),t.selected[0].get("geometrysolved")?a&&o?(n=i.stageovercome,l+=xe(i.stagename,a),l+=xe(i.stageclue,o)):n=i.discoveredlocation:n=i.failedlocation,e("#infoStagePopup .title").text(n),e("#infoStagePopup .play-modal-content").html(l),ve("#infoStagePopup")}}),me.on("click",e=>{let t=!1;if(me.forEachFeatureAtPixel(me.getEventPixel(e.originalEvent),e=>{if(0===e.get("stageposition")||"user_position"===e.get("name")||"user_accuracy"===e.get("name"))return!1;t=!0}),d&&!t){let t=me.getEventCoordinate(e.originalEvent);ce.setGeometry(t?new a.geom.Point(t):null),(null===h||h.geographic)&&ae.setPosition(e.coordinate)}}),e("#searchInput").on("input",t=>{P&&P.abort(),M&&clearTimeout(M);const o=e("#searchsResults"),l=t.target.value;o.html(""),l&&l.length>2&&(e(".search-loading").addClass("active"),M=setTimeout(()=>{P=s.search(l).done(t=>{e(".search-loading").removeClass("active"),0===t.length?o.html("<li class='list-group-item'>"+i.noresults+"</li>"):e.each(t,(t,s)=>{let l=e("<button>",{type:"button",class:"list-group-item list-group-item-action"}).appendTo(o).click(()=>{let t=[];t[0]=parseFloat(s.boundingbox[2]),t[1]=parseFloat(s.boundingbox[0]),t[2]=parseFloat(s.boundingbox[3]),t[3]=parseFloat(s.boundingbox[1]),t=a.proj.transformExtent(t,"EPSG:4326","EPSG:3857"),ge(me,null,t),e("#searchpanel").removeClass("active"),e(".sidebar-mask").removeClass("active dismissible")}),i=e("<div>",{text:s.display_name,class:"search-option"}).append(e("<i class='fa fa-chevron-circle-right'>"));l.append(i)})}).fail(()=>{}).always(()=>{P=null})},400))}),e("#infoStagePopup").on("modal:close",()=>{le.getFeatures().clear()}),e("#acceptupdates").on("click",()=>{C=[]}),e("#qrpage").on("modal:open",()=>{n.loadQR(Se,Ee)}),e("#qrpage").on("modal:close",()=>{n.unloadQR(Ee)}),e("#nextcamera").on("click",()=>{let e=n.getDetectedCameras();if(null!==e){we("Give access to:"+e[n.getnextwebCam()].name)}n.setnextwebcam(Ee)}),e(window).on("resize",()=>{me.updateSize()}),v&&e("#autolocate").on("click",()=>{fe.get("user_denied")?e("#popupgeoloc").popup("open",{positionTo:"window"}):function(){const e=fe.getPosition();ge(me,e)}()}),e("#infopanel").on("sidebar:close",()=>{le.getFeatures().clear()}),e("#sendLocation").on("click",()=>{d&&!ce.getGeometry()?we(i.nomarks):pe(!0,!1)}),e("#sendAnswer").on("click",t=>{let a=e("#questionform input[type='radio']:checked");z?0===a.length?(t.preventDefault(),we(i.noanswerselected)):pe(!1,!1,a.val()):(t.preventDefault(),we(i.timeexceeded))}),e("#validatelocation").on("click",e=>V?(e.preventDefault(),void we(i.huntcompleted)):z?""!==G.question?(e.preventDefault(),we(i.answerwarning),void ke("#infopanel")):G.activitysolved?void 0:(e.preventDefault(),we(i.activitytoendwarning),void ke("#infopanel")):(e.preventDefault(),void we(i.timeexceeded))),e(document).on("click",'*[data-rel="sidebar"]',t=>{const a=t.currentTarget,o=e(a.dataset.ref);o.trigger("sidebar:open"),o.addClass("active"),null!==a.dataset.dismissible&&e(".sidebar-mask").addClass("active dismissible")}),e(document).on("click",".close-sidebar, .sidebar-mask",()=>{const t=e(".sidebar.active");t.trigger("sidebar:close"),t.removeClass("active"),e(".sidebar-mask").removeClass("active dismissible")}),e(document).on("click",'*[data-rel="modal"]',t=>{be();const a=t.currentTarget,o=e(a.dataset.ref);o.trigger("modal:open"),o.addClass("active"),e(a.dataset.ref+" .modal-mask").addClass("active"),null!==a.dataset.dismissible&&e(a.dataset.ref+" .modal-mask").addClass("dismissible")}),e(document).on("click",".close-modal, .modal-mask.dismissible",()=>{be()})}}));