/**
 * @module    mod_treasurehunt/play
 * @package   mod_treasurehunt
 * @copyright 2016 onwards Adrian Rodriguez Fernandez <huorwhisp@gmail.com>, Juan Pablo de Castro <jpdecastro@tel.uva.es>
 * @author Adrian Rodriguez <huorwhisp@gmail.com>
 * @author Juan Pablo de Castro <jpdecastro@tel.uva.es>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define(["jquery","core/url","mod_treasurehunt/ol","core/ajax","mod_treasurehunt/osm-geocoder","mod_treasurehunt/viewgpx","mod_treasurehunt/webqr","mod_treasurehunt/jquery.truncate","mod_treasurehunt/jquery.mobile-config","mod_treasurehunt/jquerymobile"],(function(e,t,o,n,a,i,s){return console.log("loading play.js with jquery "+e().jquery),{playtreasurehunt:function(e,t,o,n,a,i,s,r,c,u){console.log("loading i18n strings");["stageovercome","failedlocation","stage","stagename","stageclue","question","noanswerselected","timeexceeded","searching","continue","noattempts","aerialview","roadview","noresults","startfromhere","nomarks","updates","activitytoendwarning","huntcompleted","discoveredlocation","answerwarning","error"].map((function(e){return{key:e,component:"treasurehunt"}}));if(i18n=i18nplay,null!=u&&null!==u.custombackgroundurl){console.log("Detecting custom background image dimensions.");var p=new Image;p.addEventListener("load",(function(){u.imgwidth=this.naturalWidth,u.imgheight=this.naturalHeight,console.log("image is "+this.naturalWidth+"x"+this.naturalHeight+"pixels"),l(i18n,e,t,o,n,a,i,s,r,c,u)})),p.src=u.custombackgroundurl}else l(i18n,e,t,o,n,a,i,s,r,c,u)}};function l(l,r,c,u,p,d,g,m,h,f,y){console.log("init player Openlayers"),e.mobile.loading("show");var w=null,v=!0,b=15;if(null!=y){if(null!=y.custombackgroundurl){console.log("config custom background image");var x=o.proj.transformExtent(y.bbox,"EPSG:4326","EPSG:3857");if(!y.geographic){x[2],x[0];var k=x[3]-x[1],T=(x[2]+x[0])/2,S=(x[3]+x[1])/2,P=Math.round(k/y.imgheight),q=Math.round(y.imgwidth*P),E=Math.round(y.imgheight*P);x=[T-q/2,S-E/2,T+q/2,S+E/2],b=5}w=new o.layer.Image({title:y.layername,name:y.layername,type:y.layertype,source:new o.source.ImageStatic({url:y.custombackgroundurl,imageExtent:x}),opacity:1})}else if(null!==y.wmsurl){console.log("config custom wms server: "+y.wmsurl);var G={source:new o.source.TileWMS({url:y.wmsurl,params:y.wmsparams}),type:y.layertype,title:y.layername,name:y.layername};if(null!==y.bbox[0]&&null!==y.bbox[1]&&null!==y.bbox[2]&&null!==y.bbox[3]){var I=o.proj.transformExtent(y.bbox,"EPSG:4326","EPSG:3857");G.extent=I}w=new o.layer.Tile(G)}v=y.geographic}!1===v&&(console.log("geographic tools disabled"),u=!0,e("#autolocate").hide());var _,C=t.imageUrl("success_mark","treasurehunt"),j=t.imageUrl("failure_mark","treasurehunt"),F=t.imageUrl("my_location","treasurehunt"),A={},V=0,z=0,D=[],R=[],L=!1,Q=!1,M=!1,O=!1,W=!1,H=!0,N=!1;let B,U=0;var Z=new o.style.Text({textAlign:"center",scale:1.3,fill:new o.style.Fill({color:"#fff"}),stroke:new o.style.Stroke({color:"#000",width:3.5})}),K=new o.style.Text({textAlign:"center",scale:1.4,fill:new o.style.Fill({color:"#fff"}),stroke:new o.style.Stroke({color:"#3399CC",width:3.5})}),X=new o.style.Style({image:new o.style.Icon({anchor:[.5,1],opacity:1,scale:.5,src:C}),text:Z,zIndex:"Infinity"}),Y=new o.style.Style({image:new o.style.Icon({anchor:[.5,1],opacity:1,scale:.5,src:j}),text:Z,zIndex:"Infinity"}),J=new o.style.Style({image:new o.style.Icon({anchor:[.5,1],opacity:1,scale:.75,src:C}),text:K,zIndex:"Infinity"}),$=new o.style.Style({image:new o.style.Icon({anchor:[.5,1],opacity:1,scale:.75,src:j}),text:K,zIndex:"Infinity"}),ee=new o.style.Style({image:new o.style.Circle({radius:6,fill:new o.style.Fill({color:[0,0,0,1]}),stroke:new o.style.Stroke({color:[255,255,255,1],width:2})})}),te=new o.style.Style({fill:new o.style.Fill({color:[255,255,255,.3]}),stroke:new o.style.Stroke({color:[0,0,0,.5],width:1}),zIndex:-1}),oe=new o.style.Style({image:new o.style.Icon({anchor:[.5,1],opacity:1,scale:.35,src:F})}),ne=[],ae=new o.format.GeoJSON,ie=new o.source.Vector({projection:"EPSG:3857"}),se=new o.layer.Vector({source:ie,style:function(e,t){var n=e.get("stageposition");if(0===n){var a=new o.style.Fill({color:"rgba(255,255,255,0.4)"}),i=new o.style.Stroke({color:"#3399CC",width:1.25});return[new o.style.Style({image:new o.style.Circle({fill:a,stroke:i,radius:5}),fill:a,stroke:i,text:new o.style.Text({text:l.startfromhere,textAlign:"center",fill:new o.style.Fill({color:"rgb(255,255,255)"}),stroke:new o.style.Stroke({color:"#3399CC",width:5})})})]}if(!e.get("geometrysolved"))return Y.getText().setText(""+n),[Y];return X.getText().setText(""+n),[X]}}),le=new o.layer.Tile({visible:!1,source:new o.source.BingMaps({key:"AmC3DXdnK5sXC_Yp_pOLqssFSaplBbvN68jnwKTEM3CSn2t6G5PGTbYN3wzxE5BR",imagerySet:"AerialWithLabels",maxZoom:19})});le.set("name",l.aerialview);var re=new o.layer.Tile({source:new o.source.OSM});re.set("name",l.roadview);var ce=[],ue=[];null!==y&&!1!==y.onlybase||(ce=[le,re]),null!==w&&("overlay"!=y.layertype?ce.push(w):ue.push(w));var pe=new o.layer.Group({layers:ce}),de=i.createCoordsOverlay("#mapplay","css/playerfancy/ol-popup.css"),ge=null;pe.getLayers().forEach((function(e){e.setVisible(!1),ge=e})),ge.setVisible(!0);var me=new o.View({center:[0,0],zoom:2,minZoom:2}),he=new o.interaction.Select({layers:[se],style:function(e,t){var o=e.get("stageposition");if(!e.get("geometrysolved"))return $.getText().setText(""+o),[$];return J.getText().setText(""+o),[J]},filter:function(e,t){return 0!==e.get("stageposition")}}),fe=new o.Feature;fe.setProperties({name:"user_accuracy"}),fe.setStyle(te);var ye=new o.Feature;ye.setProperties({name:"user_position"}),ye.setStyle(ee);var we=new o.layer.Vector({source:new o.source.Vector({features:[fe,ye]})}),ve=new o.Feature;ve.setGeometry(null),ve.setStyle(oe);var be=new o.layer.Vector({source:new o.source.Vector({features:[ve]})});ne.push(pe),ne=(ne=ne.concat(ue)).concat([se,we,be]);var xe=new o.control.Zoom({target:"navigation",className:"custom-zoom"}),ke=new o.control.Attribution({collapsible:!1}),Te=new o.Map({layers:ne,overlays:[de],controls:[xe,ke],target:"mapplay",view:me,loadTilesWhileAnimating:!0,loadTilesWhileInteracting:!0});if(Te.addInteraction(he),Ge(!1,!0),_=setInterval((function(){Ge(!1,!1)}),m),function(t){t.getLayers().forEach((function(o){var n=e("<li>",{"data-icon":"check",class:o.getVisible()?"checked":"unchecked"}).append(e("<a />",{text:o.get("name"),href:"#mappage"}).click((function(){t.getLayers().forEach((function(e){e===o?e.setVisible(!0):e.setVisible(!1)}))})));o.on("change:visible",(function(){e(n).toggleClass("checked unchecked")})),n.insertAfter("#baseLayer")}))}(pe),ue.forEach((function(e){je(e)})),h&&f){var Se=i.addgpxlayer(Te,r,c,l,f,"trackgroup");Se.set("name",Se.get("title"));var Pe=Se.getLayers().item(0),qe=Pe.get("title");Pe.set("name",qe),Pe.setVisible(!1),je(Pe)}function Ee(e,t,o){var n=e.getView();o?n.fit(o,{duration:700}):n.animate({zoom:b,center:t,duration:700})}function Ge(t,o,a,i){var s,r,m,f;(m=u?ve.getGeometry():ye.getGeometry())&&(r=ae.writeGeometryObject(m,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"})),a&&(e.mobile.loading("show"),f=a),t&&(s=r,e.mobile.loading("show")),n.call([{methodname:"mod_treasurehunt_user_progress",args:{userprogress:{treasurehuntid:c,attempttimestamp:d,roadtimestamp:g,playwithoutmoving:u,groupmode:p,initialize:o,location:s,currentposition:h&&!u?r:void 0,selectedanswerid:f,qoaremoved:N,qrtext:i}}}])[0].done((function(n){var i="";if(N=n.qoaremoved,W=n.roadfinished,H=n.available,e.mobile.loading("hide"),(t||a)&&null!==n.status&&H&&console.log(n.status.msg),n.qrexpected?e("#validateqr").show():e("#validateqr").hide(),u!=n.playwithoutmoving&&((u=n.playwithoutmoving)||ve.setGeometry(null)),p!=n.groupmode&&(p=n.groupmode),d!==n.attempttimestamp||g!==n.roadtimestamp||o||!H){d=n.attempttimestamp,g=n.roadtimestamp,n.attempthistory.length>0&&(R=n.attempthistory,L=!0),(n.attempts||n.firststagegeom)&&(ie.clear(),n.firststagegeom&&ie.addFeatures(ae.readFeatures(n.firststagegeom,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"})),n.attempts.features.length>0&&ie.addFeatures(ae.readFeatures(n.attempts,{dataProjection:"EPSG:4326",featureProjection:"EPSG:3857"}))),n.lastsuccessfulstage&&(A=n.lastsuccessfulstage,Q=!0,""!==A.question?(M=!0,e("#validatelocation").show().addClass("ui-state-disabled"),e("#question_button").show()):A.activitysolved?(e("#validatelocation").show().removeClass("ui-state-disabled"),e("#question_button").hide()):(e("#validatelocation").show().addClass("ui-state-disabled"),e("#question_button").show())),(n.firststagegeom||o)&&(O=!0);var s=e.mobile.pageContainer.pagecontainer("getActivePage").prop("id");"mappage"===s||("historypage"===s?Ce():"questionpage"===s&&(""===A.question?e.mobile.pageContainer.pagecontainer("change","#mappage"):e.mobile.resetActivePageHeight())),function(){if(Q){e("#lastsuccessfulstagename").text(l.stage+":"+A.name),e("#lastsuccesfulstagepos").text(A.position+" / "+A.totalnumber);var t;A.clue=A.clue.replace(/color/gm,"color-disabled"),e("#lastsuccessfulstageclue").html(A.clue),A.clue.replace(/<(?:.|\n)*?>/gm,"").length>200?(e("#lastsuccessfulstageclue").truncate(200),t=' <a href="#historypage" data-transition="none" class="ui-btn ui-shadow ui-corner-all ui-btn-icon-left ui-btn-inline ui-icon-bullets ui-btn-icon-notext"></a> ',e("#lastsuccessfulstageclue").append(t)):t=A.clue,e("#lastsuccessfulstagename2").text(A.name),e("#lastsuccesfulstagepos2").text(A.position+" / "+A.totalnumber),e("#lastsuccessfulstageclue2").html(A.clue),""!==A.question&&(e("#lastsuccessfulstageclue").append("<a href='#questionpage' data-transition='none' class='ui-btn ui-shadow ui-corner-all ui-btn-icon-left ui-btn-inline ui-mini ui-icon-comment'>"+l.question+"</a>"),e("#lastsuccessfulstageclue2").append("<a href='#questionpage' data-transition='none' class='ui-btn ui-shadow ui-corner-all ui-btn-icon-left ui-btn-inline ui-mini ui-icon-comment'>"+l.question+"</a>")),e("#collapsibleset").collapsibleset("refresh"),e("#infopanel").panel("open"),e("#lastsuccessfulstage").collapsible("expand"),Q=!1}}(),Ie(),_e()}n.infomsg.length>0&&(D.forEach((function(e){i+="<p>"+e+"</p>"})),n.infomsg.forEach((function(e){D.push(e),i+="<p>"+e+"</p>"})),Re("displayupdates",l.updates,i)),W||e("#roadended").hide(),!W&&H||(e("#validatelocation").show().addClass("ui-state-disabled"),e("#question_button").hide(),e("#roadended").show(),ve.setGeometry(null),u=!1,clearInterval(_),e("#mapplay").css("opacity","0.8"))})).fail((function(e){console.log(e),Re("displayerror",l.error,e.message),clearInterval(_)}))}function Ie(){if(O){var e=ie.getFeatures();1===e.length&&e[0].getGeometry()instanceof o.geom.Point?Ee(Te,e[0].getGeometry().getCoordinates()):Ee(Te,null,ie.getExtent()),O=!1}}function _e(){if(M){A.question=A.question.replace(/color/gm,"color-disabled");var t="<legend>"+A.question+"</legend>",o=1;e.each(A.answers,(function(e,n){var a="answer"+o;n.answertext=n.answertext.replace(/color/gm,"color-disabled"),t+='<div class="answer"><input type="radio" name="answers" id="'+a+'"value="'+n.id+'"><label style="color:white" for="'+a+'">'+n.answertext+"</label></div>",o++})),e("#questionform").html(t).scrollTop(),e("#questionform").enhanceWithin(),setTimeout(()=>e("#questionform input").removeClass("ui-helper-hidden-accessible"),1),M=!1}}function Ce(){if(L){var t=e("#historylist");t.html(""),L=!1,0===R.length?e("<li>"+l.noattempts+"</li>").appendTo(t):R.forEach((function(o){e("<li><span class='ui-btn-icon-left "+(o.penalty?"ui-icon-delete failedattempt":"ui-icon-check successfulattempt")+"' style='position:relative'></span>"+o.string+"</li>").appendTo(t)})),t.listview("refresh"),t.trigger("updatelayout")}}function je(t){var o=jQuery.parseHTML(t.get("name")),n=e("<li>",{"data-icon":"check",class:t.getVisible()?"checked":"unchecked"}).append(e("<a />",{href:"#mappage"}).click((function(){t.setVisible(!t.getVisible())})).append(o));t.on("change:visible",(function(){e(n).toggleClass("checked unchecked")})),n.insertAfter("#baseLayer")}var Fe=new o.Geolocation({projection:me.getProjection(),trackingOptions:{enableHighAccuracy:!0,maximumAge:0,timeout:1e4}});Fe.on("change:position",(function(){var t=this.getPosition();ye.setGeometry(t?new o.geom.Point(t):null),this.get("center")&&(Ee(Te,t),this.setProperties({center:!1})),this.get("validate_location")&&(Ge(!0,!1),this.setProperties({validate_location:!1})),e.mobile.loading("hide")})),Fe.on("change:accuracyGeometry",(function(){fe.setGeometry(this.getAccuracyGeometry()),e.mobile.loading("hide")}));var Ae=!1;(Fe.on("error",(function(t){e.mobile.loading("hide"),Fe.setProperties({user_denied:!0}),De(t.message),t.code==t.PERMISSION_DENIED&&h&&!u&&0==Ae&&setTimeout((function(){e("#popupgeoloc").popup("open",{positionTo:"window"}),Ae=!0}),500)})),Fe.setTracking(h),he.on("select",(function(t){if(1===t.selected.length)if(A.position===t.selected[0].get("stageposition")&&t.selected[0].get("geometrysolved")&&!W&&H)e("#infopanel").panel("open"),e("#lastsuccessfulstage").collapsible("expand");else{var o,n=t.selected[0].get("name"),a=t.selected[0].get("clue"),i=t.selected[0].get("info"),s="";t.selected[0].get("geometrysolved")?n&&a?(o=l.stageovercome,s=Qe(l.stagename,n),s+=Qe(l.stageclue,a)):o=l.discoveredlocation:o=l.failedlocation,i&&(s+="<p>"+i+"</p>"),Re("infostage",o,s)}})),Te.on("click",(function(e){var t=!1;if(Te.forEachFeatureAtPixel(Te.getEventPixel(e.originalEvent),(function(e,o){if(0===e.get("stageposition")||"user_position"===e.get("name")||"user_accuracy"===e.get("name"))return!1;t=!0})),u&&!t){var n=Te.getEventCoordinate(e.originalEvent);ve.setGeometry(n?new o.geom.Point(n):null),(null===y||y.geographic)&&de.setPosition(e.coordinate)}})),e("#autocomplete").on("filterablebeforefilter",(function(t,n){if(!v)return;B&&B.abort(),U&&clearTimeout(U);let i=e(this),s=e(n.input).val();i.html(""),s&&s.length>2&&(e.mobile.loading("show",{text:l.searching,textVisible:!0,theme:"b"}),U=setTimeout(()=>{B=a.search(s).done(t=>{0===t.length?i.html("<li data-filtertext='"+s+"'>"+l.noresults+"</li>"):e.each(t,(t,n)=>{e("<li data-filtertext='"+s+"'>").hide().append(e("<a href='#'>").text(n.display_name)).appendTo(i).click((function(){var t=[];t[0]=parseFloat(n.boundingbox[2]),t[1]=parseFloat(n.boundingbox[0]),t[2]=parseFloat(n.boundingbox[3]),t[3]=parseFloat(n.boundingbox[1]),t=o.proj.transformExtent(t,"EPSG:4326","EPSG:3857"),Ee(Te,null,t),e("#searchpanel").panel("close")})).show()}),i.listview("refresh"),i.trigger("updatelayout")}).fail(()=>{}).always(()=>{B=null,e.mobile.loading("hide")})},400))})),e("#infopanel").on("collapsibleexpand","[data-role='collapsible']",(function(t,o){var n=e("#infopanel .ui-panel-inner");n.animate({scrollTop:parseInt(e(this).offset().top-n.offset().top+n.scrollTop())},500)})),e(document).on("popupbeforeposition",(function(){var t=e(window).height()-200+"px";e('.ui-popup [data-role="content"]').css("max-height",t)})),e(document).on("popupafterclose",".ui-popup:not(#QRdialog):not(#popupdialog):not(#popupgeoloc)",(function(){e(this).remove(),he.getFeatures().clear()})),e(document).on("click","#acceptupdates",(function(){D=[]})),e(window).on("pagecontainershow resize",(function(t,o){e.mobile.resetActivePageHeight();var n=e.mobile.pageContainer.pagecontainer("getActivePage").prop("id");"mappage"===n?"resize"===t.type?setTimeout((function(){Te.updateSize()}),200):(Te.updateSize(),Ie()):"historypage"===n?"pagecontainershow"===t.type&&Ce():"questionpage"===n&&"pagecontainershow"===t.type&&(null==A.question||""===A.question?e.mobile.pageContainer.pagecontainer("change","#mappage"):_e()),setTimeout(()=>{var e=document.querySelector("#questionpage").style;e.setProperty("padding-top",e.paddingTop,"important")},200)})),v&&e("#autolocate").on("click",(function(){Fe.get("user_denied")?e("#popupgeoloc").popup("open",{positionTo:"window"}):(position=Fe.getPosition(),Ee(Te,position))})),e("#infopanel").panel({beforeclose:function(){he.getFeatures().clear()}}),e("#sendLocation").on("click",(function(){u&&null===ve.getGeometry()?De(l.nomarks):Ge(!0,!1)})),e("#sendAnswer").on("click",(function(t){var o=e("#questionform input[type='radio']:checked");H?0===o.length?(t.preventDefault(),De(l.noanswerselected)):Ge(!1,!1,o.val()):(t.preventDefault(),De(l.timeexceeded))})),e("#validatelocation").on("click",(function(t){return W?(t.preventDefault(),void De(l.huntcompleted)):H?""!==A.question?(t.preventDefault(),De(l.answerwarning),void e("#infopanel").panel("open")):A.activitysolved?void 0:(t.preventDefault(),De(l.activitytoendwarning),void e("#infopanel").panel("open")):(t.preventDefault(),void De(l.timeexceeded))})),!1===e.mobile.autoInitializePage)&&(e("#container").show(),e("#loader").remove(),e.mobile.initializePage(),document.querySelector("meta[name=viewport]").setAttribute("content","width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"),e("#QRdialog").popup({beforeposition:function(t,o){e(this).width(.9*window.innerWidth),e(this).height(.9*window.innerHeight)},afteropen:function(t,o){var n=e(this).find("div[data-role='content']").first(),a=e(this).find("div[data-role='header']").first(),i=parseInt(n.css("padding-top"))+parseInt(n.css("padding-bottom"));n.css("max-height","1000px"),e("#previewVideoDiv").width(e(this).width()-i).height(e(this).height()-e("#previewQRbuttons").height()-a.height()-2*i),e("#previewQRvideo").show(),s.loadQR(Ve,ze)},afterclose:function(e,t){s.unloadQR(ze)}.bind(this)}));function Ve(t){e("#QRdialog").popup("close"),console.log(t),De("QR code readed: "+t),Ge(!1,!1,null,t)}function ze(t){"string"==typeof t?e("#errorQR").text(t):(null!==t.cameras[t.camera].name&&e("#errorQR").text(t.cameras[t.camera].name),t.cameras.length>1?e("#nextcamera").show():e("#nextcamera").hide())}function De(t){e(".toast").length>0?setTimeout((function(){De(t)}),2500):e("<div class='ui-loader ui-overlay-shadow  ui-corner-all toast'><p>"+t+"</p></div>").css({left:(e(window).width()-284)/2,top:e(window).height()/2}).appendTo(e.mobile.pageContainer).delay(2e3).fadeOut(400,(function(){e(this).remove()}))}function Re(t,o,n){var a=e('<div data-role="header"><h2>'+o+"</h2></div>"),i=e('<div data-role="content" class="ui-content ui-overlay-b">'+n+"</div>"),s=e('<div data-role="popup" id="'+t+'"data-theme="b" data-transition="slidedown"></div>');if("infostage"===t&&e('<a href="#" data-rel="back" class="ui-btn ui-corner-allui-btn-b ui-icon-delete ui-btn-icon-notext ui-btn-right"></a>').appendTo(a),"displayupdates"===t){e('<p class="center-wrapper"><a id="acceptupdates" href="#" data-rel="back"class="ui-btn center-button ui-mini ui-btn-inline">'+l.continue+"</a></p>").appendTo(i);var c={"data-dismissible":!1,"data-overlay-theme":"b"};e(s).attr(c)}if("displayerror"===t){e('<p class="center-wrapper"><a href="view.php?id='+r+'" class="ui-btn  center-button ui-mini ui-icon-forward ui-btn-inline ui-btn-icon-left"data-ajax="false">'+l.continue+"</a></p>").appendTo(i);c={"data-dismissible":!1,"data-overlay-theme":"b"};e(s).attr(c)}if(e(a).appendTo(e(s).appendTo(e.mobile.activePage).popup()).toolbar().after(i),(z=e(i).find("img")).length>0){e.mobile.loading("show"),z.one("load",(function(){V++,z.length===V&&(Le(s),V=0,clearTimeout(u),e.mobile.loading("hide"))}));var u=setTimeout((function(){Le(s),e.mobile.loading("hide")}),2e3)}else Le(s)}function Le(t){e(".ui-popup-active").length>0?(e(".ui-popup").popup("close"),setTimeout((function(){e(t).popup("open",{positionTo:"window"})}),1e3)):e(t).popup("open",{positionTo:"window"})}function Qe(e,t){return'<div class="ui-bar ui-bar-a">'+e+'</div><div class="ui-body ui-body-a">'+t+"</div>"}e("#nextcamera").on("click",(function(){var e=s.getDetectedCameras();null!==e&&De("Give access to:"+e[s.getnextwebCam()].name);s.setnextwebcam(ze)}))}}));